<?php
spl_autoload_register(function ($classname) {
  $class = str_replace('\\', DIRECTORY_SEPARATOR, str_replace('_', '-', strtolower($classname)));
  $classes = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . $class . '.php';
  if (file_exists($classes)) {
    require_once ($classes);
  }
});

$kavehoptionscache = kavehoptionscache::getInstance();
$theme = new kavehTheme();
$assets = new kavehAssets();
$requres = new kavehRequires();
$kajaxrequires = new kavehajaxLogin();
$kAjaxes = new kavehAjaxes();
$kavehdemoimporter = new kavehdemoimporter();
$kwoo = new kavehWoo();
$kavehwoosingle = new kavehwoosingle();
$kelementor = new kavehElementor();
$kwidgets = new kavehWidgets();
$kavehslidecart = new kavehslidecart();
$kdynamicCss = new kavehdyanmicCss();
$kavehAjaxHandler = new kavehajaxHandler();
$kavehfragments = new kavehFragments();
$kloginpagehandler = new kavehpageHandler();
$kavehrestrules = new kavehrestrules();
$KavehCustomQuery = new KavehCustomQuery();
$KavehCustomQueryStatic = new KavehCustomQueryStatic();
$kavehproptions = new kavehproptions();
$KavehApphandler = new KavehApphandler();
$KavehAPP = new KavehAPP();
$smsir = new gateways\smsirgateway();
$ippanel = new gateways\ippanelgateway();
$mellipayamak = new gateways\mellipayamakgateway();
$kavehnegar = new gateways\kavehnegargateway();
$raygansms = new gateways\raygansms();
$webone = new gateways\webone();
$panelchi = new gateways\panelchi();
$rahpayam = new gateways\rahpayam();
$kavehinvoice = new KavehInvoice();
$kavehcoreclass = new kavehcoreclass();
$kavehpricehistory = new kavehpricehistory();
$kavehelementorlibrary = new kavehelementorlibrary();
$kavehsocailbutton = new kavehsocailbutton();
$kavehboostify = new kavehboostify();
$kavehlocationwoo = new kavehlocationwoo();
$kavehdynamiccontent = new kavehdynamiccontent();
$kavehwoosmsmanger = new kavehwooSMSmanger('kaveh_sms');
$kavehsmshandler = new KavehSmsHandler('kaveh_sms_handler');
$kavehwpml = new KavehWPML();

if (is_admin()) {
  $licenseChecker = new kavehRTLlicense('RTL_License_922382b0e1afe197');
  if ($licenseChecker->isActive()) {
      $theme_options = new kavehOptions('kaveh_frame');
  }
}